MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032028Open CASCADE[OCCT] OCCT:Codingpublic2020-12-29 12:552021-01-11 16:24
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusreviewedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032028: Coding Rules, StepFile - eliminate CLang warning -Wmisleading-indentation
DescriptionThere are new CLang compiler warnings since 0031756:
shared:INFO: (Emscripten: Running sanity checks)
C:\occt.git\src\StepFile\lex.step.cxx:954:13: warning: misleading indentation; statement is not part 
of the previous 'if' [-Wmisleading-indentation]
            if ( ! (yy_state_buf) )
            ^
C:\occt.git\src\StepFile\lex.step.cxx:952:9: note: previous statement is here
        if ( ! (yy_state_buf) )
        ^
C:\occt.git\src\StepFile\lex.step.cxx:1679:3: warning: misleading indentation; statement is not part 
of the previous 'if' [-Wmisleading-indentation]
                return yy_is_jam ? 0 : yy_current_state;
                ^
C:\occt.git\src\StepFile\lex.step.cxx:1676:2: note: previous statement is here
        if ( ! yy_is_jam )
        ^
2 warnings generated.


Compiler version:
c:\work\Develop\SDKs\emsdk\upstream\bin>clang.exe --version
clang version 12.0.0 (Cswircachegitchromium.googlesource.com-external-github.com-llvm-llvm--project f4c8b80318005ca61bfed9b40ee9e6039194159b)

Target: x86_64-pc-windows-msvc
Thread model: posix
InstalledDir: c:\work\Develop\SDKs\emsdk\upstream\bin
Steps To ReproduceNo test case ( the executable code has not been modified )
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0031756verifiedbugmaster Open CASCADE Data Exchange - broken parsing of STEP entity in case of missing last parameter 

-  Notes
(0097987)
git (administrator)
2020-12-30 12:23

Branch CR32028 has been created by dpasukhi.

SHA-1: e3294f3513d14fe07367acd3307d4e98be39aef3


Detailed log of new commits:

Author: dpasukhi
Date: Wed Dec 30 12:20:22 2020 +0300

    0032028: Coding Rules, StepFile - eliminate CLang warning -Wmisleading-indentation
    
    Fixed warning in clang version 10 and newer
(0098059)
git (administrator)
2021-01-11 13:55

Branch CR32028_1 has been created by dpasukhi.

SHA-1: c07366175a40dfb5231e640d53956619f699d6b9


Detailed log of new commits:

Author: dpasukhi
Date: Wed Dec 30 12:20:22 2020 +0300

    0032028: Coding Rules, StepFile - eliminate CLang warning -Wmisleading-indentation
    
    Regenerated the StepFile/lex.step.cxx using the latest version of WinFlexBison
    - Fixed [-Wmisleading-indentation] warning
    - Removed empty lines
(0098060)
git (administrator)
2021-01-11 14:05

Branch CR32028_1 has been updated forcibly by dpasukhi.

SHA-1: 62356acaf530506adae35b16b128a073b416976f
(0098074)
dpasukhi (developer)
2021-01-11 15:47

Dear kgv,
please review CR32028_1.
I generated step.lex.cxx with the new version of WinFlexBison.
It fixed the problems with incorrect syntax(tabs) and empty lines.
(0098075)
kgv (developer)
2021-01-11 15:51

Could you please add related fix / pull request in WinFlexBison project here as a comment?
(0098076)
kgv (developer)
2021-01-11 15:51

Dear bugmaster,

please check warnings on extended list of compilers.
(0098078)
dpasukhi (developer)
2021-01-11 16:24

Related pull request in WinFlexBison project:
https://github.com/lexxmark/winflexbison/pull/71 [^]

The pull request contains only syntax corrections, the main algorithm has not been modified.

- Issue History
Date Modified Username Field Change
2020-12-29 12:55 kgv New Issue
2020-12-29 12:55 kgv Assigned To => dpasukhi
2020-12-29 12:55 kgv Relationship added child of 0031756
2020-12-29 12:57 kgv Relationship added related to 0031180
2020-12-30 12:23 git Note Added: 0097987
2021-01-11 13:55 git Note Added: 0098059
2021-01-11 14:05 git Note Added: 0098060
2021-01-11 15:47 dpasukhi Note Added: 0098074
2021-01-11 15:47 dpasukhi Assigned To dpasukhi => kgv
2021-01-11 15:47 dpasukhi Status new => resolved
2021-01-11 15:47 dpasukhi Steps to Reproduce Updated View Revisions
2021-01-11 15:51 kgv Note Added: 0098075
2021-01-11 15:51 kgv Note Added: 0098076
2021-01-11 15:51 kgv Assigned To kgv => bugmaster
2021-01-11 15:51 kgv Status resolved => feedback
2021-01-11 15:51 kgv Status feedback => reviewed
2021-01-11 16:24 dpasukhi Note Added: 0098078


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker